For the complete documentation index, see llms.txt. This page is also available as Markdown.

Collection Post Request

You can make the payment using any of the URLs below

Live

POST  https://kitegateway.com/v1/collections/request-to-pay

Sandbox

POST  https://sandbox.kitegateway.com/v1/collections/request-to-pay

Request Headers

Header

Value

Required

Content-Type

application/json

YES

Accept

application/json

YES

Authorization

JWT ***

YES

Request Body

Parameter

Type

Description

Required

currency

string

The medium of exchange for goods and services. e.g USD, UGX, KES

In case the currency is different from the merchant wallet where the money is supposed to go, the funds will be exchanged based on the market rate

YES

amount

double

2 decimal places

YES

payment_method

string

The means through which the money will be transacted.

MOBILE_MONEY, CARD, BANK, CRYPTO

YES

account_number

string

The unique identifier on the providers' network where the money will originate from. For mobile money ie if the payment_method isMOBILE_MONEY, you should provide an internationally formatted phone_number i.e 2567041111111

Not Required for CARD

merchant_reference

string

The UNIQUE Identification for a transaction generated by your merchant application

YES,

UUID4 9 to 36 character

narration

string

A brief description of the transaction

required, 9 to 64 characters max

redirect_url

string

When a payment is initiated, sometimes a payment link is returned in the response if the payment must be completed by the customer via the payment_url

The payment methods that return a payment_url link include, online banking methods, visa 3d

So the redirect_url is used to redirect the customer after payment has been completed or canceled via the payment_url

Required for BANK, CARD and CRYPTO collections.

account_name

string

The name of your customer who is making the payment request

Required for CARD

account_email

string

The email of your customer who is making the request

Required for CARD

Response body

Parameters

Type

Description

request_amount

double

Amount requested for collection

request_currency

string

The currency of the requested amount

account_amount

double

The converted amount from request_currency to wallet_currency at market rate.

account_currency

string

The wallet currency where the amount paid by the customer will be deposited. The currency of the amount paid by the customer is determined by the provider used to pay.

transaction_fee

double

This is the fee charged based on the paid amount.

total_credit

double

This is the amount less the transaction_fee deposited in your account wallet

merchant_reference

string

This is the reference that was specified at the start of the transaction

kitegateway_reference

string

This is the unique id of the transaction on the Kitegateway network. You are advised to store it because it is used to track transaction-related queries.

transaction_status

string

The stage of the transaction

customer_charged

boolean

It indicates whether if the merchant customer was charged instead

payment_url

string

Optional The URL where the customer is redirected to complete the payment. It's only returned if the payment has to be completed from a web browser.

instructions

string

Optional It contains instructions that advise the customer about what they should next. It is always present on mobile money transactions and requests that do not contain payment_url. We recommend that you display the instructions to the customer

Last updated